| OLD | NEW |
| 1 #!/bin/bash | 1 #!/bin/bash |
| 2 # Copyright 2014 The Chromium Authors. All rights reserved. | 2 # Copyright 2014 The Chromium Authors. All rights reserved. |
| 3 # Use of this source code is governed by a BSD-style license that can be | 3 # Use of this source code is governed by a BSD-style license that can be |
| 4 # found in the LICENSE file. | 4 # found in the LICENSE file. |
| 5 | 5 |
| 6 # URL from which the latest version of this script can be downloaded. | 6 # URL from which the latest version of this script can be downloaded. |
| 7 # Gitiles returns the result as base64 formatted, so the result needs to be | 7 # Gitiles returns the result as base64 formatted, so the result needs to be |
| 8 # decoded. See https://code.google.com/p/gitiles/issues/detail?id=7 for | 8 # decoded. See https://code.google.com/p/gitiles/issues/detail?id=7 for |
| 9 # more information about this security precaution. | 9 # more information about this security precaution. |
| 10 script_url="https://chromium.googlesource.com/chromium/src.git/+/master" | 10 script_url="https://chromium.googlesource.com/chromium/src.git/+/master" |
| (...skipping 43 matching lines...) Expand 10 before | Expand all | Expand 10 after Loading... |
| 54 | 54 |
| 55 remote_host="$1" | 55 remote_host="$1" |
| 56 remote_adb="${2:-adb}" | 56 remote_adb="${2:-adb}" |
| 57 | 57 |
| 58 # Ensure adb is in the local machine's path. | 58 # Ensure adb is in the local machine's path. |
| 59 if ! which adb >/dev/null; then | 59 if ! which adb >/dev/null; then |
| 60 echo "error: adb must be in your local machine's path." | 60 echo "error: adb must be in your local machine's path." |
| 61 exit 1 | 61 exit 1 |
| 62 fi | 62 fi |
| 63 | 63 |
| 64 if which kinit >/dev/null; then | |
| 65 # Allow ssh to succeed without typing your password multiple times. | |
| 66 kinit -R || kinit | |
| 67 fi | |
| 68 | |
| 69 # Ensure local and remote versions of adb are the same. | 64 # Ensure local and remote versions of adb are the same. |
| 70 remote_adb_version=$(ssh "$remote_host" "$remote_adb version") | 65 remote_adb_version=$(ssh "$remote_host" "$remote_adb version") |
| 71 local_adb_version=$(adb version) | 66 local_adb_version=$(adb version) |
| 72 if [[ "$local_adb_version" != "$remote_adb_version" ]]; then | 67 if [[ "$local_adb_version" != "$remote_adb_version" ]]; then |
| 73 echo >&2 | 68 echo >&2 |
| 74 echo "WARNING: local adb is not the same version as remote adb." >&2 | 69 echo "WARNING: local adb is not the same version as remote adb." >&2 |
| 75 echo "This should be fixed since it may result in protocol errors." >&2 | 70 echo "This should be fixed since it may result in protocol errors." >&2 |
| 76 echo " local adb: $local_adb_version" >&2 | 71 echo " local adb: $local_adb_version" >&2 |
| 77 echo " remote adb: $remote_adb_version" >&2 | 72 echo " remote adb: $remote_adb_version" >&2 |
| 78 echo >&2 | 73 echo >&2 |
| (...skipping 16 matching lines...) Expand all Loading... |
| 95 # 10201: net unittests | 90 # 10201: net unittests |
| 96 ssh -C \ | 91 ssh -C \ |
| 97 -R 5037:localhost:5037 \ | 92 -R 5037:localhost:5037 \ |
| 98 -L 8001:localhost:8001 \ | 93 -L 8001:localhost:8001 \ |
| 99 -L 9031:localhost:9031 \ | 94 -L 9031:localhost:9031 \ |
| 100 -L 9041:localhost:9041 \ | 95 -L 9041:localhost:9041 \ |
| 101 -L 9051:localhost:9051 \ | 96 -L 9051:localhost:9051 \ |
| 102 -R 10000:localhost:10000 \ | 97 -R 10000:localhost:10000 \ |
| 103 -R 10201:localhost:10201 \ | 98 -R 10201:localhost:10201 \ |
| 104 "$remote_host" | 99 "$remote_host" |
| OLD | NEW |